NaCl(1)

NAME
CurveCP — Message-handling programs

SYNOPSIS

curvecpmakekey [keydir]

DESCRIPTION

This manual page documents briefly the CurveCP commands.

A traditional UNIX-style server such as ftpd handles just one network connection, reading input from stdin and writing output to stdout. A "superserver" such as inetd or tcpserver listens for network connections and starts a separate server process for each connection.

curvecpprintkey prints ascii version of binary keys needed for curvecpclient and curvecpserver and created using curvecpmakekey command before.

OPTIONS

How to use curvecpprintkey:

keydir
    a directory where CurveCP binary keys were created.

SEE ALSO

curvecpserver (1), curvecpclient (1), curvecpmakekey (1), inetd (8), tcpserver (1).

AUTHOR

This manual page was written by Sergiusz Pawlowicz debian@pawlowicz.name for the Debian system (and may be used by others). The source of this page is a webpage https://curvecp.org/ . Permission is granted to copy, distribute and/or modify this document under public domain.

This manual page was rewritten for the Debian distribution because the original program does not have a manual page.